<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NotificationPenawaran extends Model
{
    use HasFactory;
    protected $table = 'notifications_penawaran';
    public $timestamps = true;

    protected $fillable = ['user_id', 'follows_project_penawaran_id', 'message', 'is_read'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function follow()
    {
        return $this->belongsTo(FollowPenawaran::class);
    }

    public function penawaranproject()
    {
        return $this->belongsTo(PenawaranProject::class);
    }
}
